#!/bin/sh

usage()
{
echo "" >&2
echo "" >&2
echo "Usage: $0 scheme-system" >&2
echo "" >&2
echo "   scheme-system: guile" >&2
echo "                  bigloo" >&2
echo "" >&2
}

if [ $# -ne 1 ]; then
  usage
  exit 1
fi


scheme=$1

if test $scheme != "guile" -a $scheme != "bigloo"; then
  echo "" >&2
  echo "***** ERROR: Invalid scheme system *****"  >&2
  usage
  exit 1
fi

cd sx
# preprocess scheme files
for i in `ls *.scm.init`; do
  n=`echo $i | cut -d. -f1,2`
  ../config/choose.sh $scheme $i $n
done

# copy appropriate graphical user interface
for i in `ls *.$scheme`; do
  n=`echo $i | cut -d. -f1,2`
  cp $i $n
done

cd ..

cp sx.scm.$scheme sx.scm

